#
# NOTE:
# - exif headers should be included as <libexif/something.h>
#   so don't ,,fix'' pkgconfig file
#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	Library for parsing EXIF files from digital cameras
Summary(pl.UTF-8):	Biblioteka do czytania plików EXIF z kamer cyfrowych
Name:		libexif
Version:	0.6.25
Release:	1%{?tld}
Epoch:		1
License:	LGPL v2+
Group:		Libraries
#Source0Download: https://github.com/libexif/libexif/releases
Source0:	https://github.com/libexif/libexif/releases/download/v%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	d6d0a71059f16fd08c1547b2cdf1da6d
URL:		https://libexif.github.io/
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake >= 1:1.14.1
BuildRequires:	doxygen
BuildRequires:	gettext-tools >= 0.18.3
BuildRequires:	libtool >= 2:2
BuildRequires:	rpm-build >= 4.6
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Obsoletes:	libexif7 < 0.6
Obsoletes:	libmnote < 0.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

%description -l pl.UTF-8
Większość kamer cyfrowych tworzy pliki EXIF, które są JPEGami z
dodatkowymi znacznikami zawierającymi informacje o obrazie. Biblioteka
EXIF pozwala czytać informacje z tych znaczników.

%package devel
Summary:	Header files for libexif
Summary(pl.UTF-8):	Pliki nagłówkowe dla libexif
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	libexif7-devel < 0.6
Obsoletes:	libmnote-devel < 0.6

%description devel
Header files for libexif.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla libexif.

%package static
Summary:	Static version of libexif
Summary(pl.UTF-8):	Statyczna wersja libexif
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	libmnote-static < 0.6

%description static
Static version of libexif.

%description static -l pl.UTF-8
Statyczna wersja libexif.

%package apidocs
Summary:	libexif API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libexif
Group:		Documentation
BuildArch:	noarch

%description apidocs
API and internal documentation for libexif library.

%description apidocs -l pl.UTF-8
Dokumentacja API oraz wewnętrzna dla biblioteki libexif.

%prep
%setup -q

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4m
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static}

# docs generation fails with -jN>1
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libexif.la
# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/libexif

%find_lang %{name}-12

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}-12.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libexif.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libexif.so.12

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libexif.so
%{_includedir}/libexif
%{_pkgconfigdir}/libexif.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libexif.a
%endif

%files apidocs
%defattr(644,root,root,755)
%doc doc/doxygen-output/libexif*
%changelog
* Wed Feb 19 2025 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libexif.git;a=log;h=master

* Sat Feb 01 2025 Jakub Bogusz <qboosh@pld-linux.org> 0392c76
- updated to 0.6.25

* Mon Feb 07 2022 Jakub Bogusz <qboosh@pld-linux.org> 77dc602
- updated to 0.6.24 (fixes CVE-2020-0198 CVE-2020-0452)

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> d711e5a
- unconditional noarch subpackages

* Wed Jan 06 2021 Jan Palus <atler@pld-linux.org> 283eef0
- fix build without static libs after disabling silent rules

* Sat Sep 19 2020 Jakub Bogusz <qboosh@pld-linux.org> c560381
- updated to 0.6.22; adds some EXIF 2.3 tags, fixes:
  CVE-2016-6328 CVE-2017-7544 CVE-2018-20030 CVE-2019-9278 CVE-2020-0093 CVE-2020-12767 CVE-2020-13112 CVE-2020-13113 CVE-2020-13114

* Mon Dec 18 2017 Jakub Bogusz <qboosh@pld-linux.org> 0daa017
- updated URL

* Thu Jul 02 2015 Elan Ruusamäe <glen@delfi.ee> b4a813c
- noarch apidocs

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 4d133f8
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> b591671
- updated gettext BR

* Sun Jul 15 2012 Kacper Kornet <draenog@pld-linux.org> 981b288
- up to 0.6.21; fixes CVE-2012-2812, CVE-2012-2813, CVE-2012-2814,
  CVE-2012-2836, CVE-2012-2837, CVE-2012-2840, CVE-2012-2841,
  CVE-2012-2845

* Mon Jun 25 2012 Tomasz Pala <gotar@pld-linux.org> 5a0af7b
- removed la file, rel. 2

* Fri Dec 17 2010 Caleb Maclennan <caleb@alerque.com> ae62aad
- Up to 0.6.20

* Sun Nov 15 2009 Jakub Bogusz <qboosh@pld-linux.org> a02d606
- updated to 0.6.19
- removed obsolete pl.po-update patch

* Tue Nov 18 2008 Jakub Bogusz <qboosh@pld-linux.org> e7e2cc2
- License is LGPL (v2+)

* Tue Nov 18 2008 Jakub Bogusz <qboosh@pld-linux.org> 9f61253
- updated to 0.6.17
- updated pl.po-update patch
- removed obsolete ac,cve-2007-6351,cve-2007-6352 patches

* Tue Nov 18 2008 Jakub Bogusz <qboosh@pld-linux.org> 7f02645
- updated for 0.6.17

* Tue Nov 18 2008 Jakub Bogusz <qboosh@pld-linux.org> b46137f
- obsolete

* Mon Dec 24 2007 Paweł Gołaszewski <blues@pld-linux.org> 45c938a
- rel.3 (rel. 2 for AC)

* Mon Dec 24 2007 Paweł Gołaszewski <blues@pld-linux.org> 46b545f
- rel.2 - patches from RH: CVE-2007-6351, CVE-2007-6352

* Thu Jun 14 2007 Jakub Bogusz <qboosh@pld-linux.org> 352b40e
- updated to 0.6.16 (fixes CVE-2006-4168)
- updated pl.po-update patch

